Loading...
Searching...
No Matches
ReducedGraphs.h File Reference
`#include <RDGeneral/export.h>`
`#include <vector>`
`#include <cstdint>`
`#include <boost/dynamic_bitset.hpp>`
`#include <Numerics/Vector.h>`

Go to the source code of this file.

## Namespaces

namespace | RDKit
| Std stuff.
namespace | RDKit::ReducedGraphs

## Functions

RDKIT_REDUCEDGRAPHS_EXPORT ROMol * | RDKit::ReducedGraphs::generateMolExtendedReducedGraph (const ROMol &mol, std::vector< boost::dynamic_bitset<> > *atomTypes=nullptr)
| Generates a reduced graph representation of a molecule.
RDKIT_REDUCEDGRAPHS_EXPORT RDNumeric::DoubleVector * | RDKit::ReducedGraphs::generateErGFingerprintForReducedGraph (const ROMol &mol, std::vector< boost::dynamic_bitset<> > *atomTypes=nullptr, double fuzzIncrement=0.3, unsigned int minPath=1, unsigned int maxPath=15)
| Generates a ErG fingerprint vector for a molecule that's already a reduced graph.
RDKIT_REDUCEDGRAPHS_EXPORT RDNumeric::DoubleVector * | RDKit::ReducedGraphs::getErGFingerprint (const ROMol &mol, std::vector< boost::dynamic_bitset<> > *atomTypes=nullptr, double fuzzIncrement=0.3, unsigned int minPath=1, unsigned int maxPath=15)
| Generates a ErG fingerprint vector for a molecule.